package cz.moneta.test.harness.support.messaging.exception;

/**
 * Exception thrown when destination (topic/queue) does not exist or is inaccessible.
 * Includes permission issues and unknown object errors.
 */
public class MessagingDestinationException extends MessagingException {

    public MessagingDestinationException(String message) {
        super(message);
    }

    public MessagingDestinationException(String message, Throwable cause) {
        super(message, cause);
    }

    public MessagingDestinationException(Throwable cause) {
        super(cause);
    }
}
